• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/CRMScript/GetCRMScriptByUniqueIdentifier

Some tooltip text!
• 3 minutes to read
 • 3 minutes to read
POST /api/v1/Agents/CRMScript/GetCRMScriptByUniqueIdentifier

Get information about a script from a unique identifier

NsApiSlow threshold: 5000 ms.

Online Restricted: ## The CRMScript agent is not available in Online by default. Access must be requested specifically when app is registered.

Query String Parameters

Parameter Name Type Description
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
POST /api/v1/Agents/CRMScript/GetCRMScriptByUniqueIdentifier?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: request

UniqueIdentifier

Property Name Type Description
UniqueIdentifier String

Response:

OK

Response Description
200 OK

Response body: Script

Property Name Type Description
UniqueIdentifier string Global unique identifier, accross customers/tenants
Name string A description of this script
Description string Optional description of what this script is used for.
IncludeId string A unique name used for including this script in another
Source string The script
Registered date-time Registered when in UTC.
RegisteredBy string Who created this script
Updated date-time Last updated when in UTC.
UpdatedBy string Who updated this script
Path string Path to script in the hierarchy.
BlockedVerbs string The verbs that are blocked when calling a ejscript over HTTP
TableRight TableRight The carrier's table right
FieldProperties object Field property dictionary mapping field names to field access rights.

Sample request

POST /api/v1/Agents/CRMScript/GetCRMScriptByUniqueIdentifier
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8

{
  "UniqueIdentifier": "sunt"
}

Sample response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "UniqueIdentifier": "customer-welcome-email",
  "Name": "Customer Welcome Email",
  "Description": "Sends a welcome email to new customers with onboarding information",
  "IncludeId": "welcome-email",
  "Source": "#setLanguageLevel 3;\nCustomer customer = getActiveCustomer();\nString email = customer.getValue(\"email\");\nEmail().send(email, \"Welcome to SuperOffice\", getWelcomeEmailBody());",
  "Registered": "2024-02-15T10:30:00+01:00",
  "RegisteredBy": "John Anderson",
  "Updated": "2024-11-25T16:20:00+01:00",
  "UpdatedBy": "Sarah Johnson",
  "Path": "/scripts/customer/welcome-email",
  "BlockedVerbs": "BlockAll",
  "TableRight": null,
  "FieldProperties": {
    "fieldName": {
      "FieldRight": null,
      "FieldType": "System.Int32",
      "FieldLength": 925
    }
  }
}
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top